GET v1/SkillPaths/List?OnlyPublished={OnlyPublished}&CustomerId={CustomerId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| OnlyPublished | boolean |
None. |
|
| CustomerId | integer |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of SkillPath| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| Thumbnail | string |
None. |
|
| Title | string |
None. |
|
| Description | string |
None. |
|
| CoursesCount | integer |
None. |
|
| AssetsCount | integer |
None. |
|
| Url | string |
None. |
|
| IsPublished | boolean |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"id": 1,
"thumbnail": "sample string 2",
"title": "sample string 3",
"description": "sample string 4",
"coursesCount": 5,
"assetsCount": 6,
"url": "sample string 7",
"isPublished": true
},
{
"id": 1,
"thumbnail": "sample string 2",
"title": "sample string 3",
"description": "sample string 4",
"coursesCount": 5,
"assetsCount": 6,
"url": "sample string 7",
"isPublished": true
}
]
application/xml, text/xml
Sample:
<ArrayOfSkillPath xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Brainstorm.Api.Models.DTO.SkillPaths">
<SkillPath>
<AssetsCount>6</AssetsCount>
<CoursesCount>5</CoursesCount>
<Description>sample string 4</Description>
<Id>1</Id>
<IsPublished>true</IsPublished>
<Thumbnail>sample string 2</Thumbnail>
<Title>sample string 3</Title>
<Url>sample string 7</Url>
</SkillPath>
<SkillPath>
<AssetsCount>6</AssetsCount>
<CoursesCount>5</CoursesCount>
<Description>sample string 4</Description>
<Id>1</Id>
<IsPublished>true</IsPublished>
<Thumbnail>sample string 2</Thumbnail>
<Title>sample string 3</Title>
<Url>sample string 7</Url>
</SkillPath>
</ArrayOfSkillPath>